Bug 1793473 - kernel-tools fails to build with gcc 10: multiple definition of `the_var'
Summary: kernel-tools fails to build with gcc 10: multiple definition of `the_var'
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-tools
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Justin M. Forbes
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On: 1807781
Blocks: F32FTBFS PYTHON39 GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-21 12:25 UTC by Miro Hrončok
Modified: 2020-05-08 18:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-08 18:40:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-01-21 12:25:33 UTC
Description of problem:
Package kernel-tools fails to build from source in Fedora rawhide.

  gcc -Wp,-MD,util/.time-utils.o.d -Wp,-MT,util/time-utils.o -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -Wbad-function-cast -Wdeclaration-after-statement -Wformat-security -Wformat-y2k -Winit-self -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wno-system-headers -Wold-style-definition -Wpacked -Wredundant-decls -Wstrict-prototypes -Wswitch-default -Wswitch-enum -Wundef -Wwrite-strings -Wformat -Wstrict-aliasing=3 -Wshadow -DHAVE_ARCH_X86_64_SUPPORT -Iarch/x86/include/generated -DHAVE_SYSCALL_TABLE_SUPPORT -DHAVE_PERF_REGS_SUPPORT -DHAVE_ARCH_REGS_QUERY_REGISTER_OFFSET -O6 -fno-omit-frame-pointer -ggdb3 -funwind-tables -Wall -Wextra -std=gnu99 -fstack-protector-all -D_FORTIFY_SOURCE=2 -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -I/builddir/build/BUILD/kernel-5.4.fc32/linux-5.4/tools/perf/lib/include -I/builddir/build/BUILD/kernel-5.4.fc32/linux-5.4/tools/perf/util/include -I/builddir/build/BUILD/kernel-5.4.fc32/linux-5.4/tools/perf/arch/x86/include -I/builddir/build/BUILD/kernel-5.4.fc32/linux-5.4/tools/include/ -I/builddir/build/BUILD/kernel-5.4.fc32/linux-5.4/tools/arch/x86/include/uapi -I/builddir/build/BUILD/kernel-5.4.fc32/linux-5.4/tools/include/uapi -I/builddir/build/BUILD/kernel-5.4.fc32/linux-5.4/tools/arch/x86/include/ -I/builddir/build/BUILD/kernel-5.4.fc32/linux-5.4/tools/arch/x86/ -I/builddir/build/BUILD/kernel-5.4.fc32/linux-5.4/tools/perf/util -I/builddir/build/BUILD/kernel-5.4.fc32/linux-5.4/tools/perf -I/builddir/build/BUILD/kernel-5.4.fc32/linux-5.4/tools/lib/ -DHAVE_SYNC_COMPARE_AND_SWAP_SUPPORT -DHAVE_PTHREAD_ATTR_SETAFFINITY_NP -DHAVE_PTHREAD_BARRIER -DHAVE_EVENTFD -DHAVE_GET_CURRENT_DIR_NAME -DHAVE_GETTID -DHAVE_DWARF_GETLOCATIONS_SUPPORT -DHAVE_GLIBC_SUPPORT -DHAVE_AIO_SUPPORT -DHAVE_SCHED_GETCPU_SUPPORT -DHAVE_SETNS_SUPPORT -DHAVE_LIBELF_SUPPORT -DHAVE_LIBELF_MMAP_SUPPORT -DHAVE_ELF_GETPHDRNUM_SUPPORT -DHAVE_GELF_GETNOTE_SUPPORT -DHAVE_ELF_GETSHDRSTRNDX_SUPPORT -DHAVE_DWARF_SUPPORT -DHAVE_LIBBPF_SUPPORT -DHAVE_BPF_PROLOGUE -DHAVE_SDT_EVENT -DHAVE_JITDUMP -DHAVE_DWARF_UNWIND_SUPPORT -DHAVE_SLANG_SUPPORT -DHAVE_LIBPERL_SUPPORT -DHAVE_TIMERFD_SUPPORT -DNO_LIBPYTHON -DHAVE_CPLUS_DEMANGLE_SUPPORT -DHAVE_LIBBFD_SUPPORT -DHAVE_ZLIB_SUPPORT -DHAVE_LZMA_SUPPORT -DHAVE_BACKTRACE_SUPPORT -DHAVE_LIBNUMA_SUPPORT -DHAVE_KVM_STAT_SUPPORT -DDISASM_FOUR_ARGS_SIGNATURE -DHAVE_AUXTRACE_SUPPORT -DHAVE_JVMTI_CMLR -D"BUILD_STR(s)=#s" -c -o util/time-utils.o util/time-utils.c
bison -v util/expr.y -d  -o util/expr-bison.c -p expr__
ld: tests/bp_account.o:/builddir/build/BUILD/kernel-5.4.fc32/linux-5.4/tools/perf/tests/bp_account.c:22: multiple definition of `the_var'; tests/bp_signal.o:/builddir/build/BUILD/kernel-5.4.fc32/linux-5.4/tools/perf/tests/bp_signal.c:38: first defined here
util/expr.y:15.1-12: warning: deprecated directive: '%pure-parser', use '%define api.pure' [-Wdeprecated]
   15 | %pure-parser
      | ^~~~~~~~~~~~
      | %define api.pure

Version-Release number of selected component (if applicable):
5.5.0-0.rc6.git0.1.fc32

Steps to Reproduce:
koji build --scratch f32 kernel-tools-5.5.0-0.rc6.git0.1.fc32.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/kernel-tools
https://koschei.fedoraproject.org/build/7741411

This blocks the Python 3.9 rebuild.

Comment 1 Miro Hrončok 2020-01-21 12:35:44 UTC
This is https://gcc.gnu.org/gcc-10/porting_to.html#common

Comment 2 Ben Cotton 2020-02-11 17:31:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 3 Fedora Release Engineering 2020-02-16 04:23:31 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 4 Fedora Release Engineering 2020-03-01 04:23:10 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 5 Peter Robinson 2020-03-01 09:48:44 UTC
This is actually fixed, there's another issue with s390 (covered in RHBZ 1807781) which is blocking the build ATM.

Comment 6 Miro Hrončok 2020-03-16 18:30:21 UTC
Setting the severity to high.

This package is part of the initial bootstrap sequence. Without it, we cannot proceed with the bootstrap in a Koji side tag.

https://fedoraproject.org/wiki/Changes/Python3.9#Important_dates_and_plan

The current plan is to follow the "ideal point when we can start rebuilding in Koji" -- that is we need to get this bug fixed approximately in 2 months.

That includes potential uncovered bugs in packages that depend on this one.

Please knowledge that you have read this message and that you can dedicate time to fix it. If you know already that you won't be able to fix it by the deadline, please let us know ASAP, so we can allocate resources to do that. Thank You.

(This comment is posted to multiple Bugzillas, please forgive me if it's not 100% accurate.)

Comment 7 Peter Robinson 2020-03-16 19:26:44 UTC
Miro: see comment 5

Comment 8 Miro Hrončok 2020-03-16 21:31:01 UTC
ack, sorry for the noise.

Comment 9 Fedora Update System 2020-04-06 18:25:40 UTC
FEDORA-2020-2cb45d67ce has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2cb45d67ce

Comment 10 Fedora Update System 2020-04-07 05:05:18 UTC
FEDORA-2020-2cb45d67ce has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-04-07 13:16:13 UTC
FEDORA-2020-2cb45d67ce has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.